Skip to main content
POST
/
apps
/
{app_id}
/
api_collections
Create a new API collection POST /apps/:app_id/api_collections
curl --request POST \
  --url https://api.example.com/apps/{app_id}/api_collections \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_config": {
    "authentication": "None",
    "base_url": "<string>",
    "query_mapping": {
      "field_mappings": {},
      "method": "<string>",
      "path_template": "<string>"
    },
    "response_mapping": {
      "field_mappings": {},
      "records_path": "<string>"
    }
  },
  "description": "<string>",
  "name": "<string>"
}
'

Path Parameters

app_id
string
required

Application ID

Body

application/json
api_config
object
required
description
string
required
name
string
required

Response

API collection created successfully